#include "floatingwidgetcontainer.h"

FloatingWidgetContainer::FloatingWidgetContainer(QWidget * target, QWidget * parent)
    : QWidget(parent),
      m_target(target)
{
    m_target->setParent(this);
}

void FloatingWidgetContainer::resizeEvent(QResizeEvent * event)
{
    Q_UNUSED(event);
    m_target->raise();

    QRect rect = this->rect();
    rect.setTop(int(rect.top() + (rect.height() * 0.666)));
    m_target->setGeometry(rect);
}
